com.unitech.lib.uhf.module

## Class BaseModuleUHF

- java.lang.Object
- - com.unitech.lib.uhf.module.BaseModuleUHF

- Direct Known Subclasses:
    ModuleUHFRM100, ModuleUHFST25RU3993

      public abstract class BaseModuleUHF
      extends java.lang.Object

  The BaseModuleUHF class is a class for abstracting RFID UHF module.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected IModuleRfidUhfEventListener` | `_moduleRfidUhfEventListener`
    `protected IReader` | `_reader`
    `protected int` | `_timeout`
    `protected static int` | `DEFAULT_TIMEOUT`
    `protected java.lang.String` | `TAG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseModuleUHF(IReader reader, ModuleUHFType type, IProtocol protocol, IModuleRfidUhfEventListener listener)` Create an instance of the BaseModuleUHF class.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IProtocol` | `getProtocol()` Use only within the SDK.
    `int` | `getTimeout()` Returns the timeout value of the communication with RFID UHF module.
    `ModuleUHFType` | `getType()` Returns the RFID UHF module type of the connected Device.
    `abstract void` | `PumpEvent(int subCmd, java.lang.Object data)`
    `void` | `setTimeout(int timeout)` Set the timeout value of the communication with RFID UHF module.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_TIMEOUT

          protected static final int DEFAULT_TIMEOUT

      See Also:
        Constant Field Values

    - #### TAG

          protected java.lang.String TAG

    - #### _moduleRfidUhfEventListener

          protected IModuleRfidUhfEventListener _moduleRfidUhfEventListener

    - #### _reader

          protected IReader _reader

    - #### _timeout

          protected int _timeout

  - ### Constructor Detail

    - #### BaseModuleUHF

          public BaseModuleUHF(IReader reader,
                               ModuleUHFType type,
                               IProtocol protocol,
                               IModuleRfidUhfEventListener listener)

      Create an instance of the BaseModuleUHF class.
      Parameters:
        `reader` - The reader class which the module installed.
        `type` - A ModuleUHFType enumeration that specifies the type of RFID UHF module.
        `protocol` - The connection protocol.
        `listener` - The listener for module event.

  - ### Method Detail

    - #### getType

          public ModuleUHFType getType()

      Returns the RFID UHF module type of the connected Device.
      Returns:
        ModuleUHFType enumeration representing the RFID UHF module type.

    - #### getProtocol

          public IProtocol getProtocol()

      Use only within the SDK.
      Returns:

    - #### getTimeout

          public int getTimeout()

      Returns the timeout value of the communication with RFID UHF module.
      Returns:
        An integer that specifies the timeout for the RFID UHF module. Timeout is in milliseconds (ms).

    - #### setTimeout

          public void setTimeout(int timeout)

      Set the timeout value of the communication with RFID UHF module.
      Parameters:
        `timeout` - An integer that specifies the timeout of the communication with RFID UHF module. Timeout is in milliseconds (ms).

    - #### PumpEvent

          public abstract void PumpEvent(int subCmd,
                                         java.lang.Object data)